POST api/departmentapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

DepartmentViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

contract_id

globally unique identifier

Required

delay_between_scans

integer

None.

id

globally unique identifier

None.

item_wash_max

integer

None.

name

string

None.

remark

string

None.

selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "contract_id": "bfcffd03-c552-4556-972a-e74c6995c4b0",
  "delay_between_scans": 1,
  "id": "52311b96-6aeb-4f31-9798-42f921be6a8f",
  "item_wash_max": 1,
  "name": "sample string 5",
  "remark": "sample string 6",
  "selected_nameplate_id": "dc9e93a4-f257-460d-95a2-f9ef949fe30f",
  "selected_sticker_id": "03402ec1-e30f-4fcf-b276-37fef1ff4be0"
}

application/xml, text/xml

Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <contract_id>bfcffd03-c552-4556-972a-e74c6995c4b0</contract_id>
  <delay_between_scans>1</delay_between_scans>
  <id>52311b96-6aeb-4f31-9798-42f921be6a8f</id>
  <item_wash_max>1</item_wash_max>
  <name>sample string 5</name>
  <remark>sample string 6</remark>
  <selected_nameplate_id>dc9e93a4-f257-460d-95a2-f9ef949fe30f</selected_nameplate_id>
  <selected_sticker_id>03402ec1-e30f-4fcf-b276-37fef1ff4be0</selected_sticker_id>
</department>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"cd61bb44-72a9-42ec-bd5e-1032bf28b8e8"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">cd61bb44-72a9-42ec-bd5e-1032bf28b8e8</guid>